Package fr.gouv.vitam.common.database.builder.request.single

# Class Select

java.lang.Object
fr.gouv.vitam.common.database.builder.request.AbstractRequest
fr.gouv.vitam.common.database.builder.request.single.RequestSingle
fr.gouv.vitam.common.database.builder.request.single.Select

public class Select extends RequestSingle
SELECT for Single Mode Query

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Facet>`
  `facets`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.single.RequestSingle

  `query`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `filter, projection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Select()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Select`
  `addFacets(Facet... facets)`
  `protected void`
  `addFacetsToNode(com.fasterxml.jackson.databind.node.ObjectNode node)`
  Add facets to given node
  `final Select`
  `addOrderByAscFilter(String... variableNames)`
  `final Select`
  `addOrderByDescFilter(String... variableNames)`
  `final Select`
  `addOrderByFilter(com.fasterxml.jackson.databind.JsonNode filterContent)`
  `final Select`
  `addProjection(com.fasterxml.jackson.databind.JsonNode projectionContent)`
  `final Select`
  `addUnusedProjection(String... variableNames)`
  `final Select`
  `addUsedProjection(String... variableNames)`
  `List<Facet>`
  `getFacets()`
  getFacets
  `final com.fasterxml.jackson.databind.node.ObjectNode`
  `getFinalSelect()`
  `final com.fasterxml.jackson.databind.node.ObjectNode`
  `getFinalSelectById()`
  `final Select`
  `parseLimitFilter(String filter)`
  `final Select`
  `parseOrderByFilter(String filter)`
  `final Select`
  `parseProjection(String projection)`
  `final Select`
  `reset()`
  `final Select`
  `resetFacets()`
  `final Select`
  `resetLimitFilter()`
  `final Select`
  `resetOrderByFilter()`
  `final Select`
  `resetUsedProjection()`
  `void`
  `setFacets(List<Facet> facets)`
  setFacets
  `final Select`
  `setFilter(com.fasterxml.jackson.databind.JsonNode filterContent)`
  `final Select`
  `setLimitFilter(long offset, long limit)`
  `final Select`
  `setLimitFilter(com.fasterxml.jackson.databind.JsonNode filterContent)`
  `final Select`
  `setProjection(com.fasterxml.jackson.databind.JsonNode projectionContent)`
  `String`
  `toString()`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.single.RequestSingle

  `getActions, getAllProjection, getData, getDatas, getFinal, getNbQueries, getProjection, getQueries, getQuery, getRoots, resetQuery, setQuery`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `addHintFilter, addHintFilter, getFilter, parseFilter, resetFilter, resetHintFilter, selectAddOrderByAscFilter, selectAddOrderByDescFilter, selectAddOrderByFilter, selectAddProjection, selectAddUnusedProjection, selectAddUsedProjection, selectGetAllProjection, selectGetFinalSelect, selectGetProjection, selectParseLimitFilter, selectParseOrderByFilter, selectParseProjection, selectReset, selectResetLimitFilter, selectResetOrderByFilter, selectResetUsedProjection, selectSetFilter, selectSetLimitFilter, selectSetLimitFilter, selectSetProjection, selectSetScrollFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### facets

    protected List<Facet> facets

- ## Constructor Details

  - ### Select

    public Select()

- ## Method Details

  - ### resetLimitFilter

    public final Select resetLimitFilter()
    Returns:
      this Query

  - ### resetOrderByFilter

    public final Select resetOrderByFilter()
    Returns:
      this Query

  - ### resetUsedProjection

    public final Select resetUsedProjection()
    Returns:
      this Query

  - ### reset

    public final Select reset()
    Overrides:
      `reset` in class `RequestSingle`
    Returns:
      this Request

  - ### setLimitFilter

    public final Select setLimitFilter(long offset, long limit)
    Parameters:
      `offset` - ignored if 0
      `limit` - ignored if 0
    Returns:
      this Query

  - ### setLimitFilter

    public final Select setLimitFilter(com.fasterxml.jackson.databind.JsonNode filterContent)
    Parameters:
      `filterContent` - json filter
    Returns:
      this Query

  - ### parseLimitFilter

    public final Select parseLimitFilter(String filter) throws InvalidParseOperationException
    Parameters:
      `filter` - string filter
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addOrderByAscFilter

    public final Select addOrderByAscFilter(String... variableNames) throws InvalidParseOperationException
    Parameters:
      `variableNames` - list of key name
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addOrderByDescFilter

    public final Select addOrderByDescFilter(String... variableNames) throws InvalidParseOperationException
    Parameters:
      `variableNames` - list of key name
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addOrderByFilter

    public final Select addOrderByFilter(com.fasterxml.jackson.databind.JsonNode filterContent) throws InvalidParseOperationException
    Parameters:
      `filterContent` - json filter
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### parseOrderByFilter

    public final Select parseOrderByFilter(String filter) throws InvalidParseOperationException
    Parameters:
      `filter` - string filter
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### setFilter

    public final Select setFilter(com.fasterxml.jackson.databind.JsonNode filterContent) throws InvalidParseOperationException
    Overrides:
      `setFilter` in class `AbstractRequest`
    Parameters:
      `filterContent` - json filter
    Returns:
      this Request
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addUsedProjection

    public final Select addUsedProjection(String... variableNames) throws InvalidParseOperationException
    Parameters:
      `variableNames` - list of key name
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addUnusedProjection

    public final Select addUnusedProjection(String... variableNames) throws InvalidParseOperationException
    Parameters:
      `variableNames` - list of key name
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addProjection

    public final Select addProjection(com.fasterxml.jackson.databind.JsonNode projectionContent)
    Parameters:
      `projectionContent` - json projection
    Returns:
      this Query

  - ### parseProjection

    public final Select parseProjection(String projection) throws InvalidParseOperationException
    Parameters:
      `projection` - string projection
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### setProjection

    public final Select setProjection(com.fasterxml.jackson.databind.JsonNode projectionContent) throws InvalidParseOperationException
    Parameters:
      `projectionContent` - json projection
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### getFinalSelect

    public final com.fasterxml.jackson.databind.node.ObjectNode getFinalSelect()
    Returns:
      the Final Select containing all parts: query, filter , projection and facets

  - ### addFacetsToNode

    protected void addFacetsToNode(com.fasterxml.jackson.databind.node.ObjectNode node)
    Add facets to given node
    Parameters:
      `node` - with facets

  - ### getFinalSelectById

    public final com.fasterxml.jackson.databind.node.ObjectNode getFinalSelectById()
    Returns:
      the Final Select By Id containing only one parts: projection

  - ### getFacets

    public List<Facet> getFacets()
    getFacets
    Returns:

  - ### setFacets

    public void setFacets(List<Facet> facets)
    setFacets
    Parameters:
      `facets` -

  - ### resetFacets

    public final Select resetFacets()
    Returns:
      this Request

  - ### addFacets

    public final Select addFacets(Facet... facets)
    Parameters:
      `facets` - list of facet
    Returns:
      this Request
    Throws:
      `IllegalArgumentException` - when facet is invalid

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `RequestSingle`